# norootforbuild
%define my_release 1
Name:         elx-be2iscsi
BuildRequires: %kernel_module_package_buildreqs
License:      GPL
Group:        System/Kernel
Summary:      ServerEngines BladeEngine iSCSI Driver 
Version:      10.0.803.21
Release:      1.1
Source0:      elx-be2iscsi-%{version}.tar.bz2
Source1:      Module.supported
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%define builddir	%{name}-%{version}

%kernel_module_package 

%description
This package contains the Linux driver for the iSCSI function of ServerEngines BladeEngine

%package KMP
Summary: iSCSI driver for ServerEngines BladeEngine
Group: System/Kernel

%description KMP
This package contains the Linux driver for the iSCSI function of the ServerEngines BladeEngine

%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m 
done 

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
            M=$PWD/obj/$flavor CONFIG_BE2ISCSI=m 
done

%changelog
* Tue Apr 15 2014 poswald@suse.com
-Initial KMP build of the be2iscsi v10.0.803.21
